import 'package:json_annotation/json_annotation.dart';

part 'tone_bean.g.dart';

/// 语气实体类
@JsonSerializable()
class ToneBean {
  /// 表情包
  @JsonKey(name: 'emoji')
  String? emoji;

  /// 标题
  @JsonKey(name: 'title')
  String? title;

  ToneBean(this.emoji, this.title);

  factory ToneBean.fromJson(Map<String, dynamic> json) =>
      _$ToneBeanFromJson(json);

  Map<String, dynamic> toJson() => _$ToneBeanToJson(this);
}
